%if 0%{?fedora} > 9
%define kdepim4 1
%endif

Name:           libopensync-plugin-kdepim
Version:        0.36
Release:        1%{?dist}
Summary:        KDE plugin for libopensync

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
# KDE 4 port: http://websvn.kde.org/trunk/playground/pim/libopensync-plugin-kdepim-0.36/
Patch0:         libopensync-plugin-kdepim-0.36-kde4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.36
BuildRequires:  libstdc++-devel
%if 0%{?kdepim4}
BuildRequires:  kdepimlibs-devel
BuildRequires:  openldap-devel
%else
BuildRequires:  kdepim3-devel
%endif

%description
%{summary}

%prep
%setup -q
%if 0%{?kdepim4}
%patch0 -p1 -b .kdepim4
%endif

%build
mkdir build
cd build
%cmake -DCMAKE_SKIP_RPATH=YES ../
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/opensync-1.0/plugins/kdepim*.so
%{_datadir}/opensync-1.0/defaults/kdepim-sync

%changelog
* Sat Jun 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.36-1
- update to 0.36 (base for the KDE 4 port)
- apply KDE 4 port patch on F10+

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-2
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- version upgrade

* Thu Sep 27 2007 Oliver Falk <oliver@linux-kernel.at> 0.22-3
- Add patch to support finding qt 3.3 in /usr/lib/qt-3.3

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-2
- new license tag
- rebuild for buildid

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- FE6 rebuild

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- add dist
- add gcc4.1 fixes
- get rid of smpflags

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
